import 'package:flutter/material.dart';
import 'package:model_of_the_times/icons/material_design_icons.dart';

class FullPagedStruct extends StatelessWidget {
  final Widget child;
  final String title;
  const FullPagedStruct({super.key, required this.child, required this.title});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        leading: IconButton(onPressed: (){Navigator.pop(context);}, icon: const Icon(MaterialDesign.keyboard_arrow_left)),
        title: Text(title),
        centerTitle: true,
      ),
      body: Padding(padding: const EdgeInsets.all(10), child: child),
    );
  }
}
